# $Revision: 1.24.2.1 $, $Date: 2007/02/17 17:16:40 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	ASN.1 library used in GNUTLS
Summary(pl):	Biblioteka ASN.1 uywana w GNUTLS
Name:		libtasn1
Version:	0.3.8
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnutls.org/pub/gnutls/libtasn1/%{name}-%{version}.tar.gz
# Source0-md5:	5f83b9660b79dc956688aeae2ed36152
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/gnutls/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.4}
BuildRequires:	gtk-doc-automake >= 1.4
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library 'libasn1' developed for ASN1 (Abstract Syntax Notation One)
structures management. The main features of this library are:
- on line ASN1 structure management that doesn't require any C code
  file generation.
- off line ASN1 structure management with C code file generation
  containing an array.
- DER (Distinguish Encoding Rules) encoding
- no limits for INTEGER and ENUMERATED values

%description -l pl
Biblioteka libasn1 stworzona do zarzdzania strukturami ASN1 (Abstract
Syntax Notation One). Gwne cechy biblioteki to:
- zarzdzanie strukturami ASN1 w sposb nie wymagajcy generowania
  plikw z kodem w C
- zarzdzanie strukturami ASN1 w sposb umoliwiajcy generowanie
  plikw z kodem w C
- kodowanie DER (Distinguish Encoding Rules)
- brak limitw dla wartoci INTEGER oraz ENUMERATED

%package devel
Summary:	Header files etc to develop libtasn1 applications
Summary(pl):	Pliki nagwkowe i inne do libtasn1
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files etc to develop libtasn1 applications.

%description devel -l pl
Pliki nagwkowe i inne do libtasn1.

%package static
Summary:	Static libtasn1 library
Summary(pl):	Biblioteka statyczna libtasn1
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtasn1 library.

%description static -l pl
Biblioteka statyczna libtasn1.

%prep
%setup -q
%patch0 -p1

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4
%{__automake}
%{__autoheader}
%{__autoconf}

%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}} \
	--%{?with_static_libs:en}%{!?with_static_libs:dis}able-static \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/*.html
%attr(755,root,root) %{_bindir}/asn1*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/asn1*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libtasn1-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_aclocaldir}/libtasn1.m4
%{_pkgconfigdir}/libtasn1.pc
%{_infodir}/*.info*
%{_mandir}/man3/*.3*
%{?with_apidocs:%{_gtkdocdir}/%{name}}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtasn1.spec,v $
Revision 1.24.2.1  2007/02/17 17:16:40  qboosh
- merged 0.3.8 from HEAD (SONAME change)

Revision 1.24  2006/02/10 09:24:16  qboosh
- updated to 0.2.18 (fixes out-of-bounds access in DER decoding)

Revision 1.23  2005/11/16 23:41:02  charles
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}

Revision 1.22  2005/09/28 13:42:04  pluto
- gtk-doc enabled (disabled by default) and bconded.

Revision 1.21  2005/09/02 20:35:06  qboosh
- updated to 0.2.17 (versioned symbols restored)

Revision 1.20  2005/08/13 14:24:59  qboosh
- updated to 0.2.15

Revision 1.19  2005/07/17 21:22:19  qboosh
- updated to 0.2.14 (added .pc file)

Revision 1.18  2005/05/31 16:31:55  charles
- BR: gtk-doc

Revision 1.17  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.16  2004/12/17 07:26:02  qboosh
- updated to 0.2.13 (version fix in header)

Revision 1.15  2004/12/11 11:33:26  qboosh
- updated to 0.2.12 (note: same soname, but symbol versioning changed)
- removed obsolete am18 patch, added info patch

Revision 1.14  2004/05/18 22:35:37  qboosh
- updated to 0.2.10 (serious DER parsing bug fixed)
- added am18 patch

Revision 1.13  2004/04/22 21:04:46  qboosh
- updated to 0.2.9

Revision 1.12  2004/04/17 21:41:04  qboosh
- updated to 0.2.8

Revision 1.11  2004/02/28 13:45:08  qboosh
- updated to 0.2.7, strict internal deps

Revision 1.10  2003/10/07 19:51:56  qboosh
- 0.2.6

Revision 1.9  2003/08/10 11:49:49  qboosh
- 0.2.5

Revision 1.8  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:50:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/15 23:08:21  qboosh
- updated to 0.2.4

Revision 1.5  2003/01/28 08:33:41  qboosh
- s/aclocal/automake/ in BR

Revision 1.4  2003/01/27 22:46:19  filon
- updated to 1.1.2
- regereate ac/am/lt stuff

Revision 1.3  2002/11/25 14:17:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/10/09 07:58:18  misiek
- it's LGPL

Revision 1.1  2002/10/09 07:56:16  misiek
- initial pld release
